MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Agent A2A Tools
Agent Channels
Agent Configuration (Staging)
Agent Configuration (Versions)
Agent Tools
agents
Agents
Attachments
Auth
Billing
bundler
Bundler
Append Conversation Messages (M2M)Append Workflow Run Trace Step (M2M, fail-open)Close Conversation (M2M)Commit Pending Page Action (M2M)Commit Workflow Run Turn (M2M)Create Conversation (M2M)Create Workflow Run (M2M)Dispatch a Matched Tool-Call Webhook (M2M)Exchange A Run Token For A Hand-off Target's Token (M2M)Exchange A Widget Session For A Run Token (M2M)Finalize Call Recording (M2M)Finalize Workflow Run Outputs (M2M, fail-closed on the caller's side)Forget Web Visitor (M2M)Ingest Remote Attachment (M2M)Ingest Request TelemetryLoad Workflow Run State (M2M)Mint Widget Session Token (M2M)Read Own Attachment (M2M)Read Held Original (M2M)Read Web Visitor Thread (M2M)Reconcile Token LedgerRelease Attachments (M2M)Report An Outbound Call Outcome (M2M)Report Per-Leg Latency Samples (M2M)Report Observed Widget Host (M2M)Request Recording Chunk Upload URL (M2M)Resolve Agent (M2M)Resolve Agent Config Snapshot (M2M)Resolve Agent for Inbound A2A (M2M, conditionally authenticated)Resolve Attachments (M2M)Resolve BundleResolve Inbound Channel Credentials (M2M)Resolve Inbound Channel (M2M)Resolve Page Action (M2M)Resolve An Agent's S2S Decision Model (M2M)Resolve Genesys Probe Credentials (M2M)Resolve An Agent's LLM Config (M2M)Resolve The Run's Own Agent (M2M)Resolve Telephony Credential For Outbound Origination (M2M)Resolve Tool-Call Override Bindings (M2M)Resolve Tool-Call Webhook Bindings (M2M)Resolve Visitor Context (M2M)Resolve Public Widget Embed Key (M2M)Resolve Agent Workflow (M2M)Search Agent Knowledge Bases (M2M)Start Call Recording (M2M)Store Conversation Output Variables (M2M)Store Reply Timings (M2M)Store Workflow Node Samples (M2M, fail-open)Submit Conversation Extraction (M2M)Supersede Pending Page Action (M2M)Update Conversation Status (M2M)Upload Attachment (M2M)Search the Web for an Agent (M2M)Record Channel Status (M2M)
Bundler Tool
Bundles
Call Campaigns
Catalog
Conversations
Credentials
Deployments
Discover
Fleet
Genesys
Insights
internal
Knowledge Base Website Sources
Knowledge Bases
MCP Listings
Media
OAuth Clients
OAuth2
Observability
Organisation roles
Organisations
Providers
Reviews
Roadmap
SCIM
Simulation Tests
Suppression
Triggers
TTS
Users
Utils
Visitors
Voices
Webhooks
Workflows
API ReferenceBundler

Read Web Visitor Thread (M2M)

POST
/v1/bundler/visitors/web-thread

The visitor's current fresh thread with this agent, user and assistant messages only, for restoring the widget after a reload. Read-only: never creates a visitor.

Authorization

BundleAccessToken
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/bundler/visitors/web-thread" \  -H "Content-Type: application/json" \  -d '{    "agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978",    "visitor_key": "string"  }'
{  "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",  "messages": [    {      "role": "string",      "tool_name": "string",      "content": "string",      "tool_call_id": "string",      "attachments": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "kind": "image",          "media_type": "string",          "name": "string",          "width": 0,          "height": 0,          "page_count": 0,          "byte_size": 0,          "status": "uploading",          "reject_reason": "string",          "retention": "conversation",          "source": "upload",          "analysis_status": "not_required",          "analysis": {            "description": "string",            "ocr_text": "string"          },          "analysis_model": "string",          "analysis_tokens": 0,          "delivered_as": "native"        }      ]    }  ],  "pending_action": {    "call_id": "string",    "action": "string",    "args": {},    "requires_approval": true,    "status": "pending",    "page_url": "string",    "landing_url": "string",    "expires_at": "2019-08-24T14:15:22Z",    "approval_decision": "approved",    "decided_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z",    "result_summary": "string",    "capture_attachment_ids": [      "e80675e3-3e76-4b08-a1bb-cef8b56e29d0"    ]  }}
Empty
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Read Held Original (M2M)

Previous Page

Reconcile Token Ledger

Next Page

agent_id*Agent Id
Formatuuid
visitor_key*Visitor Key
Match^[A-Za-z0-9_-]{16,128}$